from uresponsivevalue import ResponsiveValue
from machine import Pin, ADC
import neopixel

pixel_count = 60
leds = neopixel.NeoPixel(Pin(4), pixel_count)
analog_pin = ADC(Pin(33))
touch0 = machine.TouchPad(machine.Pin(32))
analog_pin.atten(ADC.ATTN_11DB)
responsive_value = ResponsiveValue(touch0.read, max_value=1024, activity_threshold=16)

v = 0
while True:
  leds[v] = (0,0,0)
  responsive_value.update()
  v = int(responsive_value.responsive_value * pixel_count / 1024)
  if v >= pixel_count: v = pixel_count - 1
  leds[v] = (250,0,0)
  leds.write()
  print(v)






