from machine import ADC
from uresponsivevalue import ResponsiveValue
import time


analog_pin = ADC(Pin(33))
analog_pin.atten(ADC.ATTN_11DB)
responsive_value = ResponsiveValue(analog_pin.read, max_value=4096, activity_threshold=16)

while True:
    responsive_value.update()
    print('{}\t{}\t{}\t{}\t{}'.format(
        responsive_value.has_changed,
        responsive_value.raw_value,
        responsive_value.responsive_value, # the smoothed out value
        responsive_value.sleeping,
        responsive_value._error_EMA))
        
    time.sleep_ms(50)


